[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPColor

RGBA color information.

## Declaration

Source position: fpimage.pp line 30

`type TFPColor = record`
`red: Word;`
`green: Word;`
`blue: Word;`
`alpha: Word;`
`end;`

## Description

This compatible RGBA color representation allows for easy access and manipulation of colors. Concrete images instead will use other (compressed) encodings, which are not suited for direct manipulation. The TFPColor record contains the Red, Green, Blue and Alpha channel values as left adjusted 16 bit words, with increasing intensity from 0 to $FFFF. Alpha=0 indicates transparent pixels.The internal representation uses the high order bits of these values, as specified by the color Depth of the image description.

## See also

TFPColor |  | RGBA color information.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .